const $ = global.$;
import 'jquery.easing';
import Slider from "../slider/slider";

class IHKMHSlider {
  constructor(section) {
    this.section = section.addClass('initiated');
    this.slider = new Slider(section);
    this.slider.settings = {
      loop: true,
      autoplay: true,
      infinite: true,
      autoplaySpeed: 7000,
      animationSpeed: 600,
      startSlide: 1,
    };
  }
}

export default IHKMHSlider;

$('body').on('ihk-init dynamic-component-loaded gfi-dynamic-init', function () {
  $('.slider:not(.initiated)').each(function() {
    new IHKMHSlider($(this));
  });
});


